
QGIS Application - Feature request #192

print composer,  when using  not "north-up" projections make images (north arrows) be in sync with 

canvas north

2006-07-14 01:30 PM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 10251

Description

Old (wrong) description: The map composer doesn't provide a north arrow. It should...

New description: try set a project with a CRS that is non north-up. Create a layout in the compser, add a map and a image (north arrow).

The image (north arrow) does not reflect the fact that in the canvas north is not up.

Associated revisions

Revision e8be0ed9 - 2016-10-18 05:45 AM - Nyall Dawson

[composer] Allow syncing pictures to true north

Previously pictures could only be synced to grid north, which

can be totally wrong for many CRSes (especially in polar areas)

Users now are given a choice of grid or true north, and can also

enter an optional offset to apply if eg magnetic north is instead

desired.

When synced to true north the bearing is calculated using the

centre point of the linked map item.

Fix #192, #4711

This fix was sponsored by the Norwegian Polar Institute's

Quantarctica project (http://quantarctica.npolar.no) and

coordinated by Faunalia.

Revision 89cc6454 - 2016-10-18 06:20 AM - Nyall Dawson

Merge pull request #3618 from nyalldawson/true_north

[composer] Allow syncing pictures to true north (fixes #192)

Revision fb78285d - 2016-10-18 08:11 AM - Nyall Dawson

[composer] Allow syncing pictures to true north

Previously pictures could only be synced to grid north, which
can be totally wrong for many CRSes (especially in polar areas)

Users now are given a choice of grid or true north, and can also

enter an optional offset to apply if eg magnetic north is instead

desired.

When synced to true north the bearing is calculated using the

centre point of the linked map item.

Fix #192, #4711

This fix was sponsored by the Norwegian Polar Institute's

Quantarctica project (http://quantarctica.npolar.no) and

coordinated by Faunalia.

(cherry-picked from 89cc6454b989de1746779b2f648a32d2863ebada)

Revision 13afc10d - 2016-10-18 08:21 AM - Nyall Dawson

[composer] Allow syncing pictures to true north

Previously pictures could only be synced to grid north, which

can be totally wrong for many CRSes (especially in polar areas)

Users now are given a choice of grid or true north, and can also

enter an optional offset to apply if eg magnetic north is instead

desired.

When synced to true north the bearing is calculated using the

centre point of the linked map item.

Fix #192, #4711

This fix was sponsored by the Norwegian Polar Institute's

Quantarctica project (http://quantarctica.npolar.no) and

coordinated by Faunalia.

(cherry-picked from 89cc6454b989de1746779b2f648a32d2863ebada)

History

#1 - 2006-08-10 07:14 AM - anonymous -

This is enhancement, not defect.

#2 - 2007-07-21 09:17 PM - Tim Sutton

Changed to minor under the following scheme:

    -  blocker - bugs that should block the release. Since we are going to release pretty much 'come what may' I would like no bugs

    -  allocated to this category without consultation with me and / or PSC

    -  critical - bugs that cause the application to crash or corrupt data

    -  major - application features that do not function at all
    -  minor - features that function but imerfectly e.g. labels placing incorrectly

    -  trivial - gui useability issues or small issues with the documentation, install notes etc.

Reassigned to Steven Bell who is working with composer stuff nowadays...

#3 - 2008-09-09 12:30 AM - Marco Hugentobler

It is possible to add an svg north-arrow (provided with QGIS in images/svg directory). But user needs to know where this file is located

Planned for 1.0.1 is a graphical presentation of the available symbols such that user just clicks on the images.

#4 - 2008-09-09 05:26 AM - Maciej Sieczka -

Replying to [comment:3 mhugent]:

It is possible to add an svg north-arrow (provided with QGIS in images/svg directory).

Yup, that's cool. But note that north is not always right up. Happens to be skewed quite a bit, depending on the CRS and location.

#5 - 2009-11-07 01:31 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

More that 50 are now available. See 11982

#6 - 2009-11-12 03:53 AM - Milena Nowotarska

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

The arrows might be added as a picture. Since we have the possibility to rotate the map in the map composer, we still need a separate button to add the

north arrow as a north arrow which will follow the rotation ;)

#7 - 2009-11-13 12:22 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed

The function you describe is present.

#8 - 2010-06-11 04:47 PM - marisn -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)
Button is present but it's not working in trunk commit:ac2526b1 (SVN r13709) Closing this bug as fixed thus is an error.

It has two problems:

    -  You can rotate symbol only up to 99 degrees;

    -  Rotation from map widget is present, but it's not working. mPicture->RotationMap is set, but don't seems to be used anywhere.

#9 - 2010-06-11 09:16 PM - Paolo Cavallini

Just tested, worksforme. Could it be a local problem? What is your OS? How is QGIS compiled?

#10 - 2010-06-12 03:21 AM - marisn -

Tested and found to be boken on:

    -  Gentoo ~AMD64 with Qt 4.6.3

        -  QGIS 1.4.0 installed from Portage

        -  QGIS trunk commit:ac2526b1 (SVN r13709) selfcompiled

    -  Ubuntu Karmic (i686) with Qt 4.5.2

        -  QGIS trunk commit:3286944a (SVN r13293) selfcompiled

        -  QGIS 1.4.0 installed from packages

    -  Ubuntu 10.04 (AMD64) Qt 4.6.2 

        -  QGIS trunk commit:46fea0c8 (SVN r13619) selfcompiled

#11 - 2010-06-12 11:20 AM - Marco Hugentobler

Maximum symbol rotation is now set to 360.

Rotation from map widget is present, but it's not working. mPicture->RotationMap? is set, but >don't seems to be used anywhere.

Works for me too (kubuntu 10.04, Qt-4.6.2). From the attachment, it seems to me that your projection in QGIS is not north-up. Is that correct?

#12 - 2010-06-12 12:53 PM - marisn -

Replying to [comment:13 mhugent]:

Maximum symbol rotation is now set to 360.

Thanks.

Rotation from map widget is present, but it's not working. mPicture->RotationMap? is set, but >don't seems to be used anywhere.

Works for me too (kubuntu 10.04, Qt-4.6.2). From the attachment, it seems to me that your projection in QGIS is not north-up. Is that correct?

Yeah. North is not up. What's the point to have auto-rotation if north is allways up?!?

#13 - 2010-06-12 01:36 PM - Marco Hugentobler

- Status changed from Feedback to Closed

- Resolution set to invalid

2025-05-17 4/6



The point is that, in the print composer, you can rotate a composer map. After that, north is up in the main map window, but not in the rotated composer

map (sync from map refers to the composer map. If there are several ones in the composer, you may select which one).

In your case, as you don't rotate the composer map, it is probably best to just rotate the picture 'by hand'.

#14 - 2010-06-13 01:20 AM - marisn -

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

OK. I misunderstood purpose of "Sync from Map" (could someone change it's wording to "Sync rotation from map"?).

Still then original report is not yet fixed - there is no way how to add a symbol with rotation synced to map content (pointing allways to the north).

Ability to draw some arbitrary arrows is not equal to north arrow functionality. Also it would be good to provide separate button for it, as current hack is not

intuitive for endusers (especially with [[ArcGIS]] et.al. background).

#15 - 2010-09-24 02:54 AM - Paolo Cavallini

I miss the point here: we do have north arrows, and they can be synced to map content. I suggest closing this ticket.

#16 - 2010-09-24 08:48 AM - marisn -

Replying to [comment:17 pcav]:

I miss the point here: we do have north arrows, and they can be synced to map content. I suggest closing this ticket.

No. They can't be synced from map. (Tested ) Only rotated symbol is provided by "North arrow" plugin, map composer has NONE. Adjusting symbol

rotation by hand doesn't count.

pcav, if You have problem with understanding this issue, do following:

    -  Open Your Countires or whole Europe vector map;

    -  Set SRS to Projected -> Steregraphic -> Sea Ice Stereographic North;

    -  Enable OTFR;

    -  Open "Map composer" and add map view;

    -  Place north arrow without manually adjusting it's rotation.

or simply open example attached to this ticket.

#17 - 2010-09-26 11:33 PM - Tim Sutton

I was able to replicate marisn's issue with commit:d47bb3fc (SVN r14287).

#18 - 2010-09-27 12:06 AM - Giovanni Manghi

shouldn't the title and description of this ticket be changed?
#19 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#20 - 2011-12-26 04:51 AM - Giovanni Manghi

- Start date set to 2011-12-26

- Subject changed from Map composer needs a north arrow to print composer,  when using  not "north-up" projections make images (north arrows) be in 

sync with canvas north

- Status changed from Feedback to Open

- Target version changed from Version 1.7.4 to Version 2.0.0

- Pull Request or Patch supplied set to No

The original subject and description were completely misleading. The new subject says it all. In comment 16 there are all the necessary steps to replicate

the issue.

#21 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#22 - 2014-04-06 06:02 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#23 - 2016-10-04 06:11 AM - Paolo Cavallini

I believe the direction of the North arrow should be correct in the center of the map.

#24 - 2016-10-17 09:20 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"89cc6454b989de1746779b2f648a32d2863ebada".

Files

qgis_mapcomposer_rotate.jpg 153 KB 2010-06-12 marisn -
